Lazarus

Programming => Databases => Topic started by: incendio on April 01, 2019, 10:42:13 am

Title: [SOLVED] Error Running Firebird 3 on Lazarus 2.0 linux
Post by: incendio on April 01, 2019, 10:42:13 am
Hi guys,

I got error message when run app with Firebird 3 database on Lazarus 2.0 on Mint 19.
It seem that Lazarus couldn't find firebird installation.

With flamerobin, running firebird 3 has no problem.

Attached the error message from Lazarus and firebird version from flamerobin.

Please help how to solve this problem. Thanks in advance.
Title: Re: Error Running Firebird 3 on Lazarus 2.0 linux
Post by: dogriz on April 01, 2019, 03:44:17 pm
Code: [Select]
$ sudo ln -s /usr/lib/x86_64-linux-gnu/libfbclient.so.3.0.2 /usr/lib/x86_64-linux-gnu/libfbclient.so.2.5.1
Title: Re: Error Running Firebird 3 on Lazarus 2.0 linux
Post by: mig-31 on April 01, 2019, 03:48:27 pm
If you have installed libfbclient or lib64fbclient package, you need to create a symbol link to libfbclient.so.x.x, which provided by your distribution
Title: Re: Error Running Firebird 3 on Lazarus 2.0 linux
Post by: marcov on April 01, 2019, 07:35:49 pm
If you want to development, install the corresponding -dev or -devel package, which should create the symlink
Title: Re: Error Running Firebird 3 on Lazarus 2.0 linux
Post by: incendio on April 02, 2019, 05:03:12 am
Thanks for all help  :D

Code: [Select]
$ sudo ln -s /usr/lib/x86_64-linux-gnu/libfbclient.so.3.0.2 /usr/lib/x86_64-linux-gnu/libfbclient.so.2.5.1

That command give an error : command not found

I fix with this command
Code: Pascal  [Select]
  1. sudo ln /usr/lib/x86_64-linux-gnu/libfbclient.so.2 /usr/lib/x86_64-linux-gnu/libfbclient.so

Now worked OK.